# Status & Ereignisse

Das folgende Statusdiagramm zeigt die Status und Ereignisse einer Einreichung.
Die Status sind als orange Ovale dargestellt. Rechtecke stehen für Ereignisse. Blau dargestellte Ereignisse werden vom Zustelldienst, grüne vom empfangenden System erstellt und signiert.

![Statusdiagramm](../../static/images/status/status.svg)

## Status

| Status | Bedeutung |
| ----- | --------- |
| `incomplete` | Das sendende System hat begonnen, die Einreichung zu übermitteln. Sie jedoch noch nicht abgesendet. |
| `submitted` | Das sendende System hat die Einreichung vollständig übermittelt und abgesendet. |
| `forwarded` | Ein vermittelndes System hat die Einreichung übernommen, sie aber noch nicht dem Zielsystem zugestellt. |
| `rejected` | Die Einreichung wurde durch den Empfänger zurückgewiesen. |
| `accepted` | Die Einreichung wurde durch den Empfänger akzeptiert. |

Das Akzeptieren oder Zurückweisen von Einreichungen oder Antworten passiert auf einer rein technischen Ebene und trifft keine Aussage über die fachliche Korrektheit der Einreichungen.
Gründe für technische Rückweisungen wären beispielsweise Probleme bei der Entschlüsselung oder Validierungsfehler der Datenstrukturen.

## Ereignisse (Events)

### Ereignisse einer Einreichung (Submission Events)
| Event | Bedeutung | Erstellt und signiert durch |
| ----- | --------- | --------------------------- |
| `https://schema.fitko.de/fit-connect/events/create-submission`  | Die Einreichung wurde durch den Sender angelegt. | Zustelldienst |
| `https://schema.fitko.de/fit-connect/events/submit-submission`  | Die Einreichung wurde durch den Sender abgesendet. | Zustelldienst |
| `https://schema.fitko.de/fit-connect/events/notify-submission`  | Der Empfänger wurde per Webhook über die Einreichung informiert. | Zustelldienst |
| `https://schema.fitko.de/fit-connect/events/forward-submission` | Ein nachgelagertes System hat die Einreichung zur Weiterleitung übernommen. | Empfangendes System |
| `https://schema.fitko.de/fit-connect/events/reject-submission`  | Die Einreichung wurde durch den Empfänger zurückgewiesen. | Empfangendes System |
| `https://schema.fitko.de/fit-connect/events/accept-submission`  | Die Einreichung wurde durch den Empfänger akzeptiert. | Empfangendes System |
| `https://schema.fitko.de/fit-connect/events/delete-submission`  | Die Einreichung wurde durch den Zustelldienst gelöscht. | Zustelldienst |

### Ereignisse einer Antwort (Reply Events)
| Event | Bedeutung | Erstellt und signiert durch |
| ----- | --------- | --------------------------- |
| `https://schema.fitko.de/fit-connect/events/create-reply`  | Die Antwort wurde durch den Sender angelegt. | Zustelldienst |
| `https://schema.fitko.de/fit-connect/events/submit-reply`  | Die Antwort wurde durch den Sender abgesendet. | Zustelldienst |
| `https://schema.fitko.de/fit-connect/events/notify-reply`  | Der Empfänger wurde per Webhook über die Antwort informiert. | Zustelldienst |
| `https://schema.fitko.de/fit-connect/events/forward-reply` | Ein nachgelagertes System hat die Antwort zur Weiterleitung übernommen. | Adressat des Reply * |
| `https://schema.fitko.de/fit-connect/events/reject-reply`  | Die Antwort wurde durch den Empfänger zurückgewiesen. | Adressat des Reply * |
| `https://schema.fitko.de/fit-connect/events/accept-reply`  | Die Antwort wurde durch den Empfänger akzeptiert. | Adressat des Reply * |
| `https://schema.fitko.de/fit-connect/events/delete-reply`  | Die Antwort wurde durch den Zustelldienst gelöscht. | Zustelldienst |

*: Wird das Reply vom Sender zum Subscriber gesendet, ist der Subscriber der Adressat; wird es vom Subscriber zum Sender gesendet ist der Sender der Adressat.

Das Akzeptieren oder Zurückweisen von Einreichungen oder Antworten passiert auf einer rein technischen Ebene und trifft keine Aussage über die fachliche Korrektheit der Einreichungen.
Gründe für technische Rückweisungen wären beispielsweise Probleme bei der Entschlüsselung oder Validierungsfehler der Datenstrukturen.

### Ereignisse eines Vorgangs (Case Events)
| Event | Bedeutung | Erstellt und signiert durch |
| ----- | --------- | --------------------------- |
| `https://schema.fitko.de/fit-connect/events/close-case` | Die Vorgangsreferenz wurde geschlossen, es dürfen keine weiteren Replies mehr erfolgen. | Das System, das die Vorgangsreferenz schließt. |

